Index: /pjproject/trunk/pjproject-vs8.sln
===================================================================
--- /pjproject/trunk/pjproject-vs8.sln	(revision 4071)
+++ /pjproject/trunk/pjproject-vs8.sln	(revision 4072)
@@ -143,5 +143,5 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjmedia_videodev", "pjmedia\build\pjmedia_videodev.vcproj", "{A1989FF3-9894-40F4-B5A6-6EA364476E45}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "BaseClasses", "third_party\BaseClasses\baseclasses.vcproj", "{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libbaseclasses", "third_party\build\baseclasses\libbaseclasses.vcproj", "{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}"
 EndProject
 Global
@@ -2957,20 +2957,20 @@
 		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug|Win32
 		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Win32.ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Win32.Build.0 = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Win32.ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Win32.Build.0 = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug Unicode|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Win32.ActiveCfg = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Win32.Build.0 = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Win32.ActiveCfg = Debug-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Win32.Build.0 = Debug-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Debug-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Debug-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Static|Win32
 		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Win32
 		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release|Smartphone 2003 (ARMV4).ActiveCfg = Release|Win32
@@ -2981,20 +2981,20 @@
 		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release|Win32
 		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Win32.ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Win32.Build.0 = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Win32.ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Win32.Build.0 = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
-		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release Unicode|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Win32.ActiveCfg = Release-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Win32.Build.0 = Release-Dynamic|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Win32.ActiveCfg = Release-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Win32.Build.0 = Release-Static|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release|Win32
+		{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /pjproject/trunk/third_party/BaseClasses/amfilter.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/amfilter.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/amfilter.cpp	(revision 4072)
@@ -27,4 +27,8 @@
 //=====================================================================
 //=====================================================================
+
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #include <streams.h>
@@ -5357,2 +5361,3 @@
 #pragma warning(disable:4514)
 
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/amvideo.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/amvideo.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/amvideo.cpp	(revision 4072)
@@ -8,4 +8,7 @@
 //------------------------------------------------------------------------------
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #include <streams.h>
@@ -274,2 +277,4 @@
     return COLORS(pVideoInfo);
 }
+
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/arithutil.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/arithutil.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/arithutil.cpp	(revision 4072)
@@ -7,4 +7,8 @@
 // Copyright (c) 1992-2004 Microsoft Corporation.  All rights reserved.
 //------------------------------------------------------------------------------
+
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #include <streams.h>
@@ -359,2 +363,4 @@
                     (LONGLONG)uliResult.QuadPart;
 }
+
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/combase.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/combase.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/combase.cpp	(revision 4072)
@@ -8,4 +8,7 @@
 //------------------------------------------------------------------------------
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #include <streams.h>
@@ -264,2 +267,3 @@
 }
 
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/ctlutil.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/ctlutil.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/ctlutil.cpp	(revision 4072)
@@ -13,4 +13,7 @@
 // renderers and transforms to pass by IMediaPosition and IMediaSeeking
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #include <streams.h>
@@ -2540,2 +2543,3 @@
 }
 
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/mtype.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/mtype.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/mtype.cpp	(revision 4072)
@@ -8,4 +8,7 @@
 //------------------------------------------------------------------------------
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 // helper class that derived pin objects can use to compare media
@@ -477,2 +480,4 @@
 // eliminate very many spurious warnings from MS compiler
 #pragma warning(disable:4514)
+
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/renbase.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/renbase.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/renbase.cpp	(revision 4072)
@@ -7,4 +7,7 @@
 //------------------------------------------------------------------------------
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #include <streams.h>        // DirectShow base class definitions
@@ -2857,2 +2860,3 @@
 #pragma warning(disable: 4514)
 
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/wxdebug.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/wxdebug.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/wxdebug.cpp	(revision 4072)
@@ -8,4 +8,7 @@
 //------------------------------------------------------------------------------
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #define _WINDLL
@@ -1473,2 +1476,3 @@
 #endif
 
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/wxlist.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/wxlist.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/wxlist.cpp	(revision 4072)
@@ -7,4 +7,7 @@
 //------------------------------------------------------------------------------
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 /* A generic list of pointers to objects.
@@ -890,2 +893,4 @@
 
 } // Reverse
+
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/BaseClasses/wxutil.cpp
===================================================================
--- /pjproject/trunk/third_party/BaseClasses/wxutil.cpp	(revision 4071)
+++ /pjproject/trunk/third_party/BaseClasses/wxutil.cpp	(revision 4072)
@@ -8,4 +8,7 @@
 //------------------------------------------------------------------------------
 
+#include <pjmedia-videodev/config.h>
+
+#if defined(PJMEDIA_VIDEO_DEV_HAS_DSHOW) && PJMEDIA_VIDEO_DEV_HAS_DSHOW != 0
 
 #include <streams.h>
@@ -768,2 +771,3 @@
 
 
+#endif /* PJMEDIA_VIDEO_DEV_HAS_DSHOW */
Index: /pjproject/trunk/third_party/build/baseclasses/libbaseclasses.vcproj
===================================================================
--- /pjproject/trunk/third_party/build/baseclasses/libbaseclasses.vcproj	(revision 4072)
+++ /pjproject/trunk/third_party/build/baseclasses/libbaseclasses.vcproj	(revision 4072)
@@ -0,0 +1,490 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="libbaseclasses"
+	ProjectGUID="{E8A3F6FA-AE1C-4C8E-A0B6-9C8480324EAA}"
+	RootNamespace="libbaseclasses"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=".,../../baseclasses,../../../pjmedia/include,../../../pjlib/include"
+				PreprocessorDefinitions="_LIB;_WIN32_DCOM;WINVER=0x400"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="NDEBUG,WIN32"
+				Culture="1033"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vc$(VSVer)-$(ConfigurationName).lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Debug-Static|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=".,../../baseclasses,../../../pjmedia/include,../../../pjlib/include"
+				PreprocessorDefinitions="_LIB;_WIN32_DCOM;WINVER=0x400"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG,WIN32"
+				Culture="1033"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vc$(VSVer)-$(ConfigurationName).lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Debug-Dynamic|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=".,../../baseclasses,../../../pjmedia/include,../../../pjlib/include"
+				PreprocessorDefinitions="_LIB;_WIN32_DCOM;WINVER=0x400"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG,WIN32"
+				Culture="1033"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vc$(VSVer)-$(ConfigurationName).lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=".,../../baseclasses,../../../pjmedia/include,../../../pjlib/include"
+				PreprocessorDefinitions="_LIB;_WIN32_DCOM;WINVER=0x400"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG,WIN32"
+				Culture="1033"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vc$(VSVer)-$(ConfigurationName).lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release-Dynamic|Win32"
+			OutputDirectory="$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=".,../../baseclasses,../../../pjmedia/include,../../../pjlib/include"
+				PreprocessorDefinitions="_LIB;_WIN32_DCOM;WINVER=0x400"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="NDEBUG,WIN32"
+				Culture="1033"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vc$(VSVer)-$(ConfigurationName).lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release-Static|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-release-static-defaults.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=".,../../baseclasses,../../../pjmedia/include,../../../pjlib/include"
+				PreprocessorDefinitions="_LIB;_WIN32_DCOM;WINVER=0x400"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="NDEBUG,WIN32"
+				Culture="1033"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vc$(VSVer)-$(ConfigurationName).lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+			>
+			<File
+				RelativePath="..\..\BaseClasses\amfilter.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\amvideo.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\arithutil.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\combase.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\ctlutil.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\mtype.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\renbase.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\wxdebug.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\wxlist.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\wxutil.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl"
+			>
+			<File
+				RelativePath="..\..\BaseClasses\amfilter.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\combase.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\ctlutil.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\fourcc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\measure.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\msgthrd.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\mtype.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\refclock.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\reftime.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\renbase.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\seekpt.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\streams.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\wxdebug.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\wxlist.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\BaseClasses\wxutil.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
